--- a/arch/arm/boot/dts/kirkwood-dockstar.dts
+++ b/arch/arm/boot/dts/kirkwood-dockstar.dts
@@ -8,6 +8,13 @@
 	model = "Seagate FreeAgent Dockstar";
 	compatible = "seagate,dockstar", "marvell,kirkwood-88f6281", "marvell,kirkwood";
 
+	aliases {
+		led-boot = &led_health;
+		led-failsafe = &led_fault;
+		led-running = &led_health;
+		led-upgrade = &led_fault;
+	};
+
 	memory {
 		device_type = "memory";
 		reg = <0x00000000 0x8000000>;
@@ -42,12 +49,12 @@
 		pinctrl-0 = <&pmx_led_green &pmx_led_orange>;
 		pinctrl-names = "default";
 
-		health {
+		led_health: health {
 			label = "status:green:health";
 			gpios = <&gpio1 14 GPIO_ACTIVE_LOW>;
-			default-state = "keep";
+			default-state = "on";
 		};
-		fault {
+		led_fault: fault {
 			label = "status:orange:fault";
 			gpios = <&gpio1 15 GPIO_ACTIVE_LOW>;
 		};
@@ -78,18 +85,22 @@
 
 	partition@0 {
 		label = "u-boot";
-		reg = <0x0000000 0x100000>;
-		read-only;
+		reg = <0x0000000 0xe0000>;
+	};
+
+	partition@e0000 {
+		label = "u-boot environment";
+		reg = <0xe0000 0x100000>;
 	};
 
 	partition@100000 {
-		label = "uImage";
-		reg = <0x0100000 0x400000>;
+		label = "second stage u-boot";
+		reg = <0x100000 0x200000>;
 	};
 
-	partition@500000 {
-		label = "data";
-		reg = <0x0500000 0xfb00000>;
+	partition@200000 {
+		label = "ubi";
+		reg = <0x200000 0xfe00000>;
 	};
 };
 
